org.apache.cassandra.utils

## Class MerkleTree.TreeDifference

- java.lang.Object
- - org.apache.cassandra.dht.AbstractBounds<T>
  - - org.apache.cassandra.dht.Range<Token>
    - - org.apache.cassandra.utils.MerkleTree.TreeRange
      - - org.apache.cassandra.utils.MerkleTree.TreeDifference

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Range<Token>>

Enclosing class:
  MerkleTree

    public static class MerkleTree.TreeDifference
    extends MerkleTree.TreeRange

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.dht.Range

`Range.OrderedRangeContainmentChecker`

### Nested classes/interfaces inherited from class org.apache.cassandra.dht.AbstractBounds

`AbstractBounds.AbstractBoundsSerializer<T extends RingPosition<T>>, AbstractBounds.Boundary<T extends RingPosition<T>>`

### Field Summary

### Fields inherited from class org.apache.cassandra.utils.MerkleTree.TreeRange

`depth`

### Fields inherited from class org.apache.cassandra.dht.AbstractBounds

`left, right, rowPositionSerializer, tokenSerializer`

### Constructor Summary

Constructors
Constructor and Description
`TreeDifference(Token left, Token right, byte depth)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `rowsOnLeft()`
`long` `rowsOnRight()`
`long` `sizeOnLeft()`
`long` `sizeOnRight()`
`long` `totalRows()`

### Methods inherited from class org.apache.cassandra.utils.MerkleTree.TreeRange

`addAll, addHash, ensureHashInitialised, hash, hash, toString`

### Methods inherited from class org.apache.cassandra.dht.Range

`asList, compareTo, contains, contains, contains, differenceToFetch, equals, getClosingString, getOpeningString, inclusiveLeft, inclusiveRight, intersectionWith, intersects, intersects, intersects, isEndInclusive, isInRanges, isStartInclusive, isWrapAround, isWrapAround, makeRowRange, makeRowRange, normalize, rangeSet, rangeSet, sort, split, subtract, subtractAll, unwrap, withNewRight`

### Methods inherited from class org.apache.cassandra.dht.AbstractBounds

`bounds, bounds, getString, hashCode, intersects, isEmpty, leftBoundary, maxLeft, maxLeft, minRight, minRight, noneStrictlyWrapsAround, rightBoundary, strictlyWrapsAround`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TreeDifference

    public TreeDifference(Token left,
                          Token right,
                          byte depth)

### Method Detail

#### sizeOnLeft

    public long sizeOnLeft()

#### sizeOnRight

    public long sizeOnRight()

#### rowsOnLeft

    public long rowsOnLeft()

#### rowsOnRight

    public long rowsOnRight()

#### totalRows

    public long totalRows()